org.apache.sysds.runtime.controlprogram.paramserv

## Class LocalPSWorker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.PSWorker
  - - org.apache.sysds.runtime.controlprogram.paramserv.LocalPSWorker

All Implemented Interfaces:
  Serializable, Callable<Void>

Direct Known Subclasses:
  SparkPSWorker

    public class LocalPSWorker
    extends PSWorker
    implements Callable<Void>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LocalPSWorker(int workerID, String updFunc, Statement.PSFrequency freq, int epochs, long batchSize, ExecutionContext ec, ParamServer ps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `call()`
`String` `getWorkerName()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.paramserv.PSWorker

`getFeatures, getLabels, setFeatures, setLabels`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalPSWorker

    public LocalPSWorker(int workerID,
                         String updFunc,
                         Statement.PSFrequency freq,
                         int epochs,
                         long batchSize,
                         ExecutionContext ec,
                         ParamServer ps)

### Method Detail

#### getWorkerName

    public String getWorkerName()

Specified by:
  `getWorkerName` in class `PSWorker`

#### call

    public Void call()
              throws Exception

Specified by:
  `call` in interface `Callable<Void>`
Throws:
  `Exception`